#ifndef EES_EICS_H
#define EES_EICS_H
#include "xacml.h"
#include "xacml_server.h"
#include "xacml_attr_obl_profile.h"

int ees_xacml_authorize(void *                handler_arg,
                        const xacml_request_t request,
                        xacml_response_t      response);

int extractRequestSubjectToAOS     (const xacml_request_t request);
int extractRequestActionToAOS      (const xacml_request_t request);
int extractRequestResourceToAOS    (const xacml_request_t request);
int extractRequestEnvironmentToAOS (const xacml_request_t request);

int constructResponse (xacml_response_t *     response);

int constructFailureResponse (xacml_response_t * response);
int extractRequestAction (const xacml_request_t           request,
                                xacml_profile_request_t * xacml_profile_request);
int extractRequestResource (const xacml_request_t           request,
                                  xacml_profile_request_t * xacml_profile_request);


void printRecvRequest (xacml_profile_request_t * xacml_profile_request);
int extractRequestSubject (const xacml_request_t           request,
                                 xacml_profile_request_t * xacml_profile_request);
int destroyRequestSubject (xacml_profile_request_t * xacml_profile_request);
int destroyRequestAction (xacml_profile_request_t * xacml_profile_request);
int destroyRequestResource (xacml_profile_request_t * xacml_profile_request);



#endif /* PDP_XACML_AUTHZ_PROCESS_H */

