#include <stdio.h>
#include "eef_plugin.h"

EES_PL_RC plugin_initialize(int argc, char* argv[]){
	EEF_log(LOG_DEBUG, "Initializing plugin ees_dummy_good!\n");
	return EES_PL_SUCCESS;
}

EES_PL_RC plugin_run()
{
    int               i               = 10;
    aos_context_t    *_context        = NULL;
    aos_attribute_t  *_tmp_attr       = NULL;
    while(i){
      if((_context = createContext(OBLIGATION)) != NULL) {
          setContextObligationId(_context, "my_obligation");
          if((_tmp_attr = createAttribute())) {
              setAttributeId(   _tmp_attr, "attrib_id");
              setAttributeValue(_tmp_attr, "attrib_value", strlen("attrib_value")+1);
          }
          addAttribute(_context, _tmp_attr);
          addContext(_context);

        EEF_log(LOG_DEBUG, "Adding dummy obligation and attribute\n");
      }
      i--;
    }

    return EES_PL_SUCCESS;
}

EES_PL_RC plugin_terminate(){
  return EES_PL_SUCCESS;
}
